For AI agents: a documentation index is available at /llms.txt. Append .md to any page URL for markdown, or send Accept: text/markdown.
List Eval Dataset Rows
List the rows of a dataset with cell values by column name, groups, and the source trace when known.
List the rows of a dataset with cell values by column name, groups, and the source trace when known.
get
https://statsigapi.net/console/v1/eval_datasets/{name}/rowsAuthorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
namestringrequiredname
Query parameters
limitintegerResults per page
Example:
10Constraints:
stringnumberpageintegerPage number
Example:
1Constraints:
stringnumberResponse
application/json200· List Eval Dataset Rows Success
messagestringrequiredA simple string explaining the result of the operation.
dataobject[]requiredShow child attributes
rowIDstringrequiredcolumnsobject[]requirednamestringrequiredvaluestringrequiredgroupsstring[]requiredsourceTraceIDstringrequiredConstraints:
nullablesourceSpanIDstringrequiredConstraints:
nullablepaginationobjectrequiredPagination metadata for checking if there is next page for example.
Show child attributes
itemsPerPagenumberrequiredConstraints:
format: doublepageNumbernumberrequiredConstraints:
format: doublenextPagestringrequiredConstraints:
nullablepreviousPagestringrequiredConstraints:
nullabletotalItemsnumberConstraints:
format: doubleallstring404· Not Found. The requested resource could not be found.
statusintegerrequiredAllowed values:
404messagestringrequiredWas this helpful?